{"openapi":"3.0.4","info":{"title":"Create User","description":"Create a new User","version":"0.0.1"},"servers":[{"url":"https://fbn-prd.lusid.com/identity"}],"paths":{"/api/users":{"post":{"tags":["Users"],"summary":"Create User","description":"Create a new User","operationId":"CreateUser","parameters":[{"name":"waitForReindex","in":"query","description":"Should the request wait until the newly created User is indexed (available in List) before returning","schema":{"type":"boolean","default":false},"x-nullable":true}],"requestBody":{"description":"Details of the User to be created","content":{"application/json-patch+json":{"schema":{"$ref":"/docs/api/identity/schemas.json#/components/schemas/CreateUserRequest"},"example":{"firstName":"Joe","lastName":"Bloggs","emailAddress":"joe.bloggs@myco.com","login":"joe.bloggs@myco.com","alternativeUserIds":{},"type":"Personal","userExpiry":"2029-02-12T12:00:00.0000000+00:00"}},"application/json":{"schema":{"$ref":"/docs/api/identity/schemas.json#/components/schemas/CreateUserRequest"},"example":{"firstName":"Joe","lastName":"Bloggs","emailAddress":"joe.bloggs@myco.com","login":"joe.bloggs@myco.com","alternativeUserIds":{},"type":"Personal","userExpiry":"2029-02-12T12:00:00.0000000+00:00"}},"text/json":{"schema":{"$ref":"/docs/api/identity/schemas.json#/components/schemas/CreateUserRequest"},"example":{"firstName":"Joe","lastName":"Bloggs","emailAddress":"joe.bloggs@myco.com","login":"joe.bloggs@myco.com","alternativeUserIds":{},"type":"Personal","userExpiry":"2029-02-12T12:00:00.0000000+00:00"}},"application/*+json":{"schema":{"$ref":"/docs/api/identity/schemas.json#/components/schemas/CreateUserRequest"},"example":{"firstName":"Joe","lastName":"Bloggs","emailAddress":"joe.bloggs@myco.com","login":"joe.bloggs@myco.com","alternativeUserIds":{},"type":"Personal","userExpiry":"2029-02-12T12:00:00.0000000+00:00"}}},"required":true},"responses":{"200":{"description":"Create a new user","content":{"application/json":{"schema":{"$ref":"/docs/api/identity/schemas.json#/components/schemas/UserResponse"},"example":{"id":"asybvrs5","emailAddress":"joe.bloggs@myco.com","login":"joe.bloggs@myco.com","firstName":"Joe","lastName":"Bloggs","roles":[{"id":"customrole1","roleId":{"scope":"default","code":"customrole2"},"source":"LusidUser","name":"Front Office Administrator","description":"Administration role for Front Office staff","samlName":"customrole2"}],"type":"Personal","status":"ACTIVE","external":false,"userExpiry":"2029-02-12T12:00:00.0000000+00:00"}}}},"400":{"description":"The details of the input related failure","content":{"application/json":{"schema":{"$ref":"/docs/api/identity/schemas.json#/components/schemas/LusidValidationProblemDetails"}}}},"default":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"/docs/api/identity/schemas.json#/components/schemas/LusidProblemDetails"}}}}},"security":[{"BearerAuth":[]}],"x-fbn-apistatus":"Stable"}}},"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}}}}